#include <sys/types.h>
#include "vmelib.h"

#define ADDR 0x0
#define MODE VME_A32D32MODE
#define DMA_DEV MEMORY
main()
{
  size_t size = 0x100;
  volatile caddr_t vme_addr;
  int buf[10];
  int i, ret;

  for(i = 0; i < 10; i++) buf[i] = 9 - i;
  ret =  vme_dmaopen(MODE, DMA_DEV);

  ret = vme_dmawrite( ADDR, buf, sizeof(buf) );
  printf("write ret = %d\n",ret);

  ret = vme_dmaread( ADDR, buf, sizeof(buf) );
  printf("read ret = %d\n",ret);


  for(i = 0; i < 10; i++) printf("buf[%d] = %x\n", i, buf[i]);
  vme_dmaclose(MODE);
}
