/* File name     : vme_config.h
 * Creation date : September 1993
 * Author        : Y.Yasu, Online group, Physics department, KEK
 * Modified      : August 1994, Y.Yasu
 *               : For HP-RT
 *		 : June 1997, Y.Yasu
 *		 : For Linux on Bit3 VME adaptor(617,616)
 *               : August 1999, K. Nakayoshi
 *		 : For vmehb-1.4
 */

#define VME_A16SIZE        0xFF00
#define VME_A16D16SIZE     0xFF00
#define VME_A16D32SIZE     0xFF00
#define VME_A24SIZE     0x1000000
#define VME_A24D16SIZE  0x1000000
#define VME_A24D32SIZE  0x1000000
#define VME_A32SIZE     0x2000000
#define VME_A32D16SIZE  0x2000000
#define VME_A32D32SIZE  0x2000000
#define VME_A16BASE        0x0000
#define VME_A16D16BASE     0x0000
#define VME_A16D32BASE     0x0000
#define VME_A24BASE      0x000000
#define VME_A24D16BASE   0x000000
#define VME_A24D32BASE   0x000000
#define VME_A32BASE    0x00000000
#define VME_A32D16BASE 0x00000000
#define VME_A32D32BASE 0x00000000

/* DMA Device */
#define MEMORY  1  /* VME block access for MEMORIES */
#define FIFO    2  /* VME block access for FIFOs on cards with id #82 */
                   /* If you want to know your cards' id#, see "dmesg" output.*/
